cmake_minimum_required(VERSION 3.18)

project(NAAICE_input)

# list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# find_package(Julia REQUIRED)

find_package(Eigen3 REQUIRED NO_MODULE)

file(GLOB GEN_SRC CONFIGURE_DEPENDS "src/*.cpp")

add_subdirectory(tug EXCLUDE_FROM_ALL)

add_subdirectory(eval)

add_executable(bench ${GEN_SRC})
target_link_libraries(bench PRIVATE Eigen3::Eigen tug)
target_include_directories(bench PRIVATE ${CMAKE_BINARY_DIR}/eval)